Bug 145257 - Java interpreter does not understand -jar option
Java interpreter does not understand -jar option
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-15 20:40 EST by W. Michael Petullo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: java-1.4.2-gcj-compat-1.4.2.0-39jpp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 10:17:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2005-01-15 20:40:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.5)
Gecko/20041220 Epiphany/1.4.7

Description of problem:


Version-Release number of selected component (if applicable):
java-1.4.2-gcj-compat-1.4.2.0-38jpp

How reproducible:
Always

Steps to Reproduce:
[mike@imp foo]$ java -jar httpclient.jar

Actual Results:  Warning: -jar not understood. Ignoring.
Exception in thread "main" java.lang.NoClassDefFoundError: httpclient.jar
   at gnu.gcj.runtime.FirstThread.run() (/usr/lib/libgcj.so.5.0.0)
   at _Jv_ThreadRun(java.lang.Thread) (/usr/lib/libgcj.so.5.0.0)
   at _Jv_RunMain(java.lang.Class, byte const, int, byte const,
boolean) (/usr/lib/libgcj.so.5.0.0)

Expected Results:  Java should execute httpclient.jar

Additional info:

Using gij directly works fine:

[mike@imp foo]$ gij -jar httpclient.jar
Comment 1 Thomas Fitzsimmons 2005-01-24 16:38:43 EST
This should be fixed by java-1.4.2-gcj-compat-1_4_2_0-39jpp in
Rawhide.  Can you retest and close this report if it works?
Comment 2 W. Michael Petullo 2005-01-25 10:17:05 EST
Java-1.4.2-gcj-compat-1.4.2.0-39jpp works fine.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.